%define module	Finance-Quote
%define name	perl-%{module}
%define version	1.08
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/P/PJ/PJF/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Buildrequires:	perl-devel
Buildarch:	noarch

%description
Finance::Quote provides access to time-delayed stockquotes from a
number of sources.  After you've installed the pacakage, try
'perldoc Finance::Quote' for full information.  Alternatively,
you can 'perldoc lib/Finance/Quote.pm' before the install.

%prep
%setup -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc INSTALL ChangeLog Documentation/*
%{perl_vendorlib}/Finance
%{_mandir}/*/*

%changelog
* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-2mdk 
- rpmbuildupdate aware

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 1.08-1mdk
- 1.08.

* Tue Jun 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.07-1mdk
- first mdk release
